package jp.allabout.android;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.util.Log;
import android.view.View;

class CameraView extends View
{
	private String TAG= "MyView";
	//String target = "ړIn";
	double distance = 100;
	double round = 330;
	double pitch = 0;
	double roll = 0;
	/**
     * RXgN^
     * @param c
     */
    public CameraView(Context c)
    {
        super(c);
        setFocusable(true);
    }
    
   /**
    * `揈
    */
    protected void onDraw(Canvas canvas)
    {
        super.onDraw(canvas);
        
        /* wiFݒ */
        canvas.drawColor(Color.TRANSPARENT);
        
        /* ړInƋ̕\ */
        Paint tpaint = new Paint();
        tpaint.setAntiAlias(true);
        tpaint.setStyle(Paint.Style.STROKE);
        tpaint.setTextSize(20);
        tpaint.setColor(Color.BLUE);
        tpaint.setTextAlign(Paint.Align.RIGHT);
        canvas.drawText(TargetInformation.INSTANCE.name + "܂", getWidth(), 20, tpaint);
        canvas.drawText("" + Double.toString(distance) + "m", getWidth(), 20*2, tpaint);
        
        /* }[J[̕\ */
        Paint marker = new Paint();
        marker.setAntiAlias(true);
        marker.setColor(Color.GREEN);
        marker.setStyle(Paint.Style.FILL);
        if (round <= 25 || round >= 335) {
        	//canvas.drawCircle(getWidth() / 2, getHeight()/2, 20, marker);
        } else if (round > 25 && round <= 180) {
        	marker.setTextAlign(Paint.Align.RIGHT);
        	marker.setTextSize(30);
        	canvas.drawText("", getWidth(), getHeight()/2, marker);
        } else {
        	marker.setTextAlign(Paint.Align.LEFT);
        	marker.setTextSize(30);
        	canvas.drawText("", 0, getHeight()/2, marker);
        }
        
        /* sb`ɍ킹}[J[ */
        Paint pmark = new Paint();
        pmark.setAntiAlias(true);
        pmark.setColor(Color.GREEN);
        pmark.setStyle(Paint.Style.FILL);
        pmark.setTextSize(30);
        Log.d(TAG, "pitch = " + Double.toString(pitch));
        if (pitch  > (10/360) && pitch <= ((90/360))) {
        	canvas.drawText("", getWidth()/2, 0, pmark);
        } else if (pitch >= (1-(10/360)) && pitch <= 0.5) {
        	canvas.drawText("", getWidth()/2, 0, pmark);
        } else {
        	
        	if (round <= 25 || round >= 335) {
        		float r=0, cx, cy, p=0;
        		if (round <= 25) r = (float)round;
        		if (round >= 335) r = (float)(round-360);
        		cx = (float)((getWidth()/2) + (getWidth()/2) * (r/25));
        		// sb`ɍ킹ă}[J[̈ʒuʓŕω
        		//if (pitch )
        		cy = (float)((getHeight()/2) - (getHeight()/2) * p);
        		Log.d(TAG, "cx, cy=" + Double.toString(cx) + "," + Double.toString(cy));
        		canvas.drawCircle(cx, cy, 20, marker); 
        		//canvas.drawCircle(getWidth() / 2, getHeight()/2, 20, marker);
        	}
        }
        
    }
}